Bug 476480 - teach preupgrade about custom vnc ports
teach preupgrade about custom vnc ports
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 00:48 EST by Jack Tanner
Modified: 2014-01-21 18:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:08:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2008-12-15 00:48:28 EST
Description of problem:

preupgrade-cli can set up a vnc server on port 5901. That's nice, but my datacenter has a firewall that precludes the use of that port. I'd like to be able to set a custom vnc port.

Version-Release number of selected component (if applicable):

preupgrade-1.0.0-1
Comment 1 Will Woods 2008-12-15 12:28:57 EST
This isn't possible with the kernel-commandline VNC setup used in preugprade-1.0.0. As a workaround, you can remove the 'vnc...' arguments from the kernel commandline and add a line like the following to /boot/upgrade/ks.cfg:
  vnc --password=PASSWORD --port=PORT

preupgrade-1.0.1 will configure vnc and network using /boot/upgrade/ks.cfg, so you'll just need to add "--port XXX" to the 'vnc' line.
Comment 2 Fedora Update System 2008-12-16 17:35:45 EST
preupgrade-1.0.1-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/preupgrade-1.0.1-1.fc8
Comment 3 Fedora Update System 2008-12-16 17:38:23 EST
preupgrade-1.0.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/preupgrade-1.0.1-1.fc9
Comment 4 Fedora Update System 2008-12-16 17:38:39 EST
preupgrade-1.0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/preupgrade-1.0.1-1.fc10
Comment 5 Fedora Update System 2008-12-21 03:23:02 EST
preupgrade-1.0.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-11587
Comment 6 Fedora Update System 2008-12-21 03:38:03 EST
preupgrade-1.0.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11540
Comment 7 Fedora Update System 2008-12-21 03:45:41 EST
preupgrade-1.0.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11437
Comment 8 Fedora Update System 2009-01-07 04:07:44 EST
preupgrade-1.0.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-01-07 04:08:07 EST
preupgrade-1.0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-01-07 04:24:11 EST
preupgrade-1.0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Peta 2011-03-05 03:05:18 EST
preupgrade-cli for Fedora 12 continues to require VNC.  What about CLI do you not understand? If you can run the preupgrade-cli FROM THE COMMAND LINE (SSH) then get rid of preupgrade-cli and only have preupgrade.

Note You need to log in before you can comment on or make changes to this bug.